Bug 1010971 - acpica-tools conflicts with iasl
acpica-tools conflicts with iasl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: acpica-tools (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Al Stone
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 08:17 EDT by Josh Boyer
Modified: 2013-11-10 03:11 EST (History)
1 user (show)

See Also:
Fixed In Version: acpica-tools-20130823-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 01:06:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2013-09-23 08:17:17 EDT
Description of problem:

Trying to yum update on an F19 machine with pmtools and iasl installed results in acpica-tools correctly replacing pmtools but not iasl  This results in conflicts.

Version-Release number of selected component (if applicable):

acpica-tools-20130823-4.fc19.x86_64.rpm (version -2 in stable updates also hits this).

How reproducible:

Always

Steps to Reproduce:
1. Have pmtools and iasl installed
2. yum update
3. get conflicts

Actual results:

================================================================================
 Package           Arch        Version               Repository            Size
================================================================================
Installing:
 acpica-tools      x86_64      20130823-4.fc19       updates-testing      680 k
     replacing  pmtools.x86_64 20100513-4.fc19

Transaction Summary
================================================================================
Install  1 Package

Total download size: 680 k
Is this ok [y/d/N]: y
Downloading packages:
acpica-tools-20130823-4.fc19.x86_64.rpm                    | 680 kB   00:00     
Running transaction check
Running transaction test


Transaction check error:
  file /usr/bin/iasl from install of acpica-tools-20130823-4.fc19.x86_64 conflicts with file from package iasl-20120913-7.fc19.x86_64
  file /usr/share/man/man1/iasl.1.gz from install of acpica-tools-20130823-4.fc19.x86_64 conflicts with file from package iasl-20120913-7.fc19.x86_64

Error Summary
-------------


Expected results:

Either replaces both packages or doesn't conflict with iasl.

Additional info:
Comment 1 Fedora Update System 2013-10-08 19:47:48 EDT
acpica-tools-20130823-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/acpica-tools-20130823-5.fc19
Comment 2 Al Stone 2013-10-08 19:49:10 EDT
Koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6039669

This version should replace iasl correctly; the version number in the spec file was off by one.
Comment 3 Fedora Update System 2013-10-08 22:02:34 EDT
acpica-tools-20130823-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/acpica-tools-20130823-5.fc20
Comment 4 Fedora Update System 2013-10-09 20:53:01 EDT
Package acpica-tools-20130823-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing acpica-tools-20130823-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18609/acpica-tools-20130823-5.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-22 01:06:32 EDT
acpica-tools-20130823-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-11-10 03:11:56 EST
acpica-tools-20130823-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.